summaryrefslogtreecommitdiff
path: root/net:anevia.com
diff options
context:
space:
mode:
authorHugues Hiegel <hugues.hiegel@anevia.com>2015-04-01 10:42:29 +0200
committerHugues Hiegel <hugues.hiegel@anevia.com>2015-04-01 10:42:29 +0200
commit6813d7633ca9333c837812a41bdd8411760a59d0 (patch)
treea2f1421aa7130b52613e7b0fe48646e2cd0fca26 /net:anevia.com
parentc367bb44bfdacbd3c7e7e6859400894217d5903e (diff)
parentc2900a4a2a459e57730133e97a368754a49599b1 (diff)
Merge branch 'git'
Diffstat (limited to 'net:anevia.com')
-rw-r--r--net:anevia.com/host:git/Environment.zsh3
l---------net:anevia.com/host:store1
-rw-r--r--net:anevia.com/user:hhiegel/Colors.zsh12
-rw-r--r--net:anevia.com/user:hhiegel/Environment.zsh5
-rw-r--r--net:anevia.com/user:hhiegel/Functions.zsh20
-rw-r--r--net:anevia.com/user:hhiegel/Prompts.zsh3
6 files changed, 44 insertions, 0 deletions
diff --git a/net:anevia.com/host:git/Environment.zsh b/net:anevia.com/host:git/Environment.zsh
new file mode 100644
index 0000000..304e0b7
--- /dev/null
+++ b/net:anevia.com/host:git/Environment.zsh
@@ -0,0 +1,3 @@
+
+PS1_USER="38;5;25"
+
diff --git a/net:anevia.com/host:store b/net:anevia.com/host:store
new file mode 120000
index 0000000..c092193
--- /dev/null
+++ b/net:anevia.com/host:store
@@ -0,0 +1 @@
+host:git \ No newline at end of file
diff --git a/net:anevia.com/user:hhiegel/Colors.zsh b/net:anevia.com/user:hhiegel/Colors.zsh
new file mode 100644
index 0000000..8b0c37a
--- /dev/null
+++ b/net:anevia.com/user:hhiegel/Colors.zsh
@@ -0,0 +1,12 @@
+
+typeset -A _env_colors
+
+_env_colors[dist_none]="38;5;21"
+_env_colors[dist_lenny]="38;5;40"
+_env_colors[dist_wheezy]="38;5;69"
+
+_env_colors[base_none]="38;5;196"
+_env_colors[base_stable]="38;5;82"
+_env_colors[base_testing]="38;5;62"
+_env_colors[base_unstable]="38;5;69"
+
diff --git a/net:anevia.com/user:hhiegel/Environment.zsh b/net:anevia.com/user:hhiegel/Environment.zsh
new file mode 100644
index 0000000..e4bde09
--- /dev/null
+++ b/net:anevia.com/user:hhiegel/Environment.zsh
@@ -0,0 +1,5 @@
+
+PATH+=:~/Work/Tools/bin
+
+export EMAIL="hugues.hiegel@anevia.com"
+
diff --git a/net:anevia.com/user:hhiegel/Functions.zsh b/net:anevia.com/user:hhiegel/Functions.zsh
new file mode 100644
index 0000000..021fa56
--- /dev/null
+++ b/net:anevia.com/user:hhiegel/Functions.zsh
@@ -0,0 +1,20 @@
+
+__debian_dist() {
+
+ [ -e ~/.pbuilderrc ] || return
+
+ _dist=${DIST:-$(awk < ~/.pbuilderrc '/DIST:=/ { gsub(/^.*{DIST:=/, "") ; gsub(/}$/, "") ; print ; exit }')}
+ print -Pn $C_${_env_colors[dist_$_dist]:-$_env_colors[dist_none]}
+ ( export | grep -q '^DIST=' ) && print -Pn ";"$color[bold]
+ print -Pn $_C
+ print -n $_dist
+
+ print -Pn $C_"38;5;33"$_C"-"
+
+ _base=${BASE:-$(awk < ~/.pbuilderrc '/BASE:=/ { gsub(/^.*{BASE:=/, "") ; gsub(/}$/, "") ; print ; exit }')}
+ print -Pn $C_${_env_colors[base_$_base]:-$_env_colors[base_none]}
+ ( export | grep -q '^BASE=' ) && print -Pn ";"$color[bold]
+ print -Pn $_C
+ print -n $_base
+}
+
diff --git a/net:anevia.com/user:hhiegel/Prompts.zsh b/net:anevia.com/user:hhiegel/Prompts.zsh
new file mode 100644
index 0000000..6a4d7f9
--- /dev/null
+++ b/net:anevia.com/user:hhiegel/Prompts.zsh
@@ -0,0 +1,3 @@
+
+PS1_TASKBAR+=(__debian_dist)
+